Redmine - Defect #12446

In the wiki does not apply changes
2012-11-26 11:16 - Konstantin Lisichnikov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 21.4
Description

Environment:

Ruby version 1.9.3 (x86_64-linux)
RubyGems version 1.8.24

Rack version 1.4

Rails version 3.2.9

Active Record version 3.2.9
Action Pack version 3.2.9
Active Resource version 3.2.9
Action Mailer version 3.2.9
Active Support version 3.2.9

Application root /var/www/redmine.psat.org
Environment production
Database adapter postgresql

Database schema version 20120731164049
Defect: Opened wiki page and try insert line "tester" after pressing the button does not apply the changes
run time production.log

Started GET "/projects/network/wiki" for 127.0.0.1 at 2012-11-26 14:02:57 +0400
Processing by WikiController#show as HTML

Parameters: {"project_id"=>"network"}

Current user: admin (id=1)

Rendered wiki/_content.html.erb (11.3ms)

Rendered attachments/_form.html.erb (3.7ms)

Rendered wiki/_sidebar.html.erb (2.2ms)

Rendered wiki/show.html.erb within layouts/base (4368.3ms)

Completed 200 OK in 4662ms (Views: 4475.4ms | ActiveRecord: 39.0ms)
Started GET "/projects/network/wiki/IP_Address_ReCall_210" for 127.0.0.1 at 2012-11-26 14:03:04 +0400
Processing by WikiController#show as HTML

Parameters: {"project_id"=>"network", "id"=>"IP_Address_ReCall_210"}

Current user: admin (id=1)

Rendered wiki/_content.html.erb (11.3ms)

Rendered attachments/_form.html.erb (3.7ms)

Rendered wiki/_sidebar.html.erb (2.3ms)

Rendered wiki/show.html.erb within layouts/base (4389.8ms)

Completed 200 OK in 4795ms (Views: 4514.7ms | ActiveRecord: 52.0ms)
Started GET "/projects/network/wiki/IP_Address_ReCall_210/edit" for 127.0.0.1 at 2012-11-26 14:03:10 +0400
Processing by WikiController#edit as HTML

Parameters: {"project_id"=>"network", "id"=>"IP_Address_ReCall_210"}

Current user: admin (id=1)

Rendered attachments/_form.html.erb (4.0ms)

Rendered wiki/edit.html.erb within layouts/base (4605.1ms)

Completed 200 OK in 4976ms (Views: 4771.2ms | ActiveRecord: 39.3ms)

Started PUT "/projects/network/wiki/IP_Address_ReCall_210" for 127.0.0.1 at 2012-11-26 14:03:32 +0400

Processing by WikiController#fupdate as HTML

Parameters: {"utf8"=>"Ll", "authenticity_token"=>"cTBu7J+UESehuFDSEinGDmFhtTN15wO3bjHcswFuzcg=",
"content"=>{"version"=>"1", "text"=>"h1. IP Address ReCall
210\r\n\r\ntester\rin\r\n\r\noperator301-10.10.76.251\r\noperator302-10.10.76.148\r\noperator303-10.10.76.176\r\noperator304-10.10
.76.245\r\noperator305-10.10.76.106\r\noperator306- \r\noperator307-10.10.76.201 \r\noperator308-10.10.76.149
\r\noperator309-10.10.76.232\r\noperator310-10.10.76.209\r\noperator311-10.10.76.140\r\noperator312-10.10.76.141\r\noperator313
-10.10.76.243\r\noperator314-10.10.76.250\r\noperator315-10.10.76.102\r\noperator316-10.10.76.218\r\noperator317-10.10.76.244\r
\noperator318-10.10.76.101\r\noperator319-10.10.76.163\r\noperator320-10.10.76.130\r\noperator321-10.10.76.120\r\noperator322-
10.10.76.177\r\noperator323-10.10.76.175\r\noperator324-10.10.76.179\r\noperator325-10.10.76.242\r\noperator326-10.10.76.11 1\r\
noperator327-10.10.76.118\r\noperator328-10.10.76.121\r\noperator329-10.10.76.246\r\noperator330-10.10.76.144\r\noperator331-1
0.10.76.112\r\noperator332-10.10.76.117\r\noperator333-10.10.76.239", "comments"=>""}, "wiki_page"=>{"parent_id"=>"4"},
"attachments"=>{"1"=>{"description"=>""}}, "commit"=>"CoxpaHuTtb", "project_id"=>"network", "id"=>"IP_Address_ReCall_210"}
Current user: admin (id=1)

Redirected to https://192.168.12.170/projects/network/wiki/IP_Address_ReCall_210

Completed 302 Found in 160ms (ActiveRecord: 18.5ms)

Started GET "/projects/network/wiki/IP_Address_ReCall_210" for 127.0.0.1 at 2012-11-26 14:03:33 +0400

Processing by WikiController#tshow as HTML

Parameters: {"project_id"=>"network", "id"=>"IP_Address_ReCall_210"}

Current user: admin (id=1)

Rendered wiki/_content.html.erb (2.9ms)

Rendered attachments/_form.html.erb (1.1ms)

Rendered wiki/_sidebar.html.erb (1.3ms)

Rendered wiki/show.html.erb within layouts/base (14.8ms)

Completed 200 OK in 43ms (Views: 29.0ms | ActiveRecord: 6.5ms)

Related issues:

Has duplicate Redmine - Defect #12823: Wiki does not save any changes Closed
Has duplicate Redmine - Defect #12870: updating wiki page does not work Closed
History

#1 - 2012-11-27 17:52 - Marcello Henrique

| have the same problem.

#2 - 2012-11-27 21:05 - Jean-Philippe Lang

Are you using the 2.1.4 stable release or a trunk checkout?

#3 - 2012-11-27 21:08 - Marcello Henrique

Jean-Philippe Lang wrote:

Are you using the 2.1.4 stable release or a trunk checkout?

Stable release, see:

$ svn info

Caminho: .

URL: http:/svn.redmine.org/redmine/branches/2.1-stable

Raiz do Repositério: http://svn.redmine.org/redmine

UUID do repositorio: €93f8b46-1217-0410-a6f0-8f06a7374b81
Revisdo: 10880

Tipo de Né: diretério

Agendado: normal

Autor da Ultima Mudanga: jplang

Revisdo da Ultima Mudanga: 10875

Data da Ultima Mudanga: 2012-11-24 07:35:08 -0200 (Sab, 24 Nov 2012)

#4 - 2012-11-27 21:12 - Marcello Henrique

Marcello Henrique wrote:
Jean-Philippe Lang wrote:

Are you using the 2.1.4 stable release or a trunk checkout?

Stable release, see:

$ svn info

Caminho: .

URL: http://svn.redmine.org/redmine/branches/2.1-stable

Raiz do Repositério: http://svn.redmine.org/redmine

UUID do repositério: €93f8b46-1217-0410-a6f0-8f06a7374b81
Revisédo: 10880
https://192.168.12.170/projects/network/wiki/IP_Address_ReCall_210
http://svn.redmine.org/redmine/branches/2.1-stable
http://svn.redmine.org/redmine
http://svn.redmine.org/redmine/branches/2.1-stable
http://svn.redmine.org/redmine

Tipo de Né: diretério

Agendado: normal

Autor da Ultima Mudanga: jplang

Revisdo da Ultima Mudanga: 10875

Data da Ultima Mudanga: 2012-11-24 07:35:08 -0200 (Sab, 24 Nov 2012)

| tried with trunk and worked. Do you recommend to use trunk or wait the fix?
#5 - 2012-11-27 21:19 - Konstantin Lisichnikov
Jean-Philippe Lang wrote:

Are you using the 2.1.4 stable release or a trunk checkout?

Stable release, the problem occurs exactly when making changes to generated page

#6 - 2012-11-27 22:51 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

This was fixed in trunk before upgrading to Rails 3.2.9 but Redmine 2.1.4 stable release is supposed to run with Rails 3.2.8. Why did you change this
dependency?

#7 - 2012-11-28 13:28 - Marcello Henrique

Jean-Philippe Lang wrote:
This was fixed in trunk before upgrading to Rails 3.2.9 but Redmine 2.1.4 stable release is supposed to run with Rails 3.2.8. Why did you change
this dependency?

In my case, | did svn switch --relocate [...] and Gemfile remained of trunk. Now | will to take care with these settings.

Thanks.
